Проблема с сайтом. Ошибка 500

Sld
Аватар пользователя Sld
Не в сети
Регистрация: 6 Апр 2012
Сообщения:

Сайт начал выдавать ошибку 500. В новостях хостера написано, что обновиди пхп.

В логах сервера такая ошибка:
[Thu Jun 07 18:35:01 2012] [error] [client хх.ххх.ххх.хх] Premature end of script headers: php, referer: http://www.site.com/produktsiya

При попытке установить:
[Thu Jun 07 19:18:12 2012] [error] [client хх.ххх.ххх.хх] Premature end of script headers: php, referer: http://www.site.com/install.php?locale=ru&profile=drushop

Кто-нибудь может подсказать, как поправить?
Спасибо.

Аватар пользователя brusee
Не в сети
Регистрация: 11 Мар 2012
Сообщения:

отключен mod_rewrite или слишком маленькие таймауты в модуле mod_fcgid общайтесь с вашим хостером пусть решают.. и пусть включат максимально полный формат логов (судя по скопированным ошибкам собщения выдаются в кратком формате..)

Sld
Аватар пользователя Sld
Не в сети
Регистрация: 6 Апр 2012
Сообщения:

попробовал на другом хостинге - точно такая же ситуация. При этом, обычный друпал устанавливается без проблем.
http://drushop.ru/forum/bagi/pervyi-bag-versii-21
тут уже поднимали этот вопрос (я только еще не проверил разрешения на папки, может все из-за этого)

Аватар пользователя admin
Не в сети
Регистрация: 8 Июл 2010
Сообщения:

Здравствуйте.
Уточните, пожалуйста, какая версия php установлена на сервере?

Sld
Аватар пользователя Sld
Не в сети
Регистрация: 6 Апр 2012
Сообщения:

Здравствуйте.
Изначально была, кажется, 5.2
Сейчас PHP Version 5.3.13, с этой версией я вчера устанавливал друшоп 2.2 - после шага, где вводятся данные по магазину - ошибка 500.
(еще на одном хостинге, где тоже вчера не установился друшоп - PHP Version 5.3.12)

Но обращаю внимание, что ошибка 500 стала вылезать на работающем сайте при заходе в раздел каталога в котором есть товары. В тех разделах каталога, где товаров не было (=0), такая ошибка 500 не возникала. Из-за этого я и начал дергаться.

Может, убрать этот шаг, если на нем такие проблемы. Ввести данные по магазину можно и потом.

Попробовал выставить перед установкой разрешения на папки, как указано в инструкции по установке. Легче не стало, стал на каждом шаге думать очень долго.

я некоторое время назад установил друшоп 2.2 совершенно без проблем, а вот сейчас - полная ж. :(

Ув. админ, помогите пожалуйста решить проблему. Спасибо.

ЗЫ Хостер снизошел до моих страданий, рассказал, как вернуть 5.2 и на пхп 5.2.17 друшоп 2.2 снова установился

Аватар пользователя brusee
Не в сети
Регистрация: 11 Мар 2012
Сообщения:

странно. у меня PHP 5.3.3 и все ставится и работает без проблем.. правда версию 2.2 друшопа на этот сервер не ставил (у меня щас 2 сайта на друшоп 2.0) может дело в настройках сервера? у меня были некоторые проблемы с настройкой Suhosin а именно с настройкой чпу, а так вроде все нормально работает..

Аватар пользователя admin
Не в сети
Регистрация: 8 Июл 2010
Сообщения:

Сейчас переделываю установщик, убрал шаг с вводом вводом информации о магазине. Так как на некоторых конфигурациях возникает ошибка. Проведу подробный анализ работы drushop на php 5.3, в версии 2.3 планируется улучшенная поддержка этйо версии php и изменения в ядре, для улучшения быстродействия и стабильности.

xukaimin
Аватар пользователя xukaimin

Отправить комментарий

MultiAuthentication
Содержание этого поля является приватным и не предназначено к показу.